Name:          carol-cmi
Version:       1.2.7
Release:       %mkrel 1
Summary:       CMI: "Cluster aware" distribution protocol
Group:         Development/Java
License:       LGPL
Url:           http://carol.ow2.org/
# svn checkout svn://svn.forge.objectweb.org/svnroot/carol/tags/CMI_1_2_7/cmi cmi-1.2.7
# tar czf cmi-1.2.7-src-svn.tar.gz cmi-1.2.7
Source0:       cmi-1.2.7-src-svn.tar.gz
Source1:       carol-cmi-1.2.7.pom
Patch0:        carol-cmi-DistributedEquivSystem.patch
BuildRequires: ant17
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-logging
BuildRequires: asm
BuildRequires: geronimo-ejb-3_1-api
BuildRequires: java-devel
BuildRequires: jgroups
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: mx4j
BuildRequires: servletapi5
BuildRequires: velocity
Requires:      apache-commons-collections
Requires:      apache-commons-logging
Requires:      asm
Requires:      jgroups
Requires:      jpackage-utils
Requires:      mx4j
Requires:      velocity
BuildArch:     noarch

%description
CMI: "Cluster aware" distribution protocol.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
CMI: "Cluster aware" distribution protocol.

This package contains Javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
CMI: "Cluster aware" distribution protocol.

This package contains documents for %{name}.

%prep
%setup -q -n cmi-%{version}

chmod -R go=u-w *

%patch0 -p0

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

pushd externals
  ln -sf $(build-classpath asm/asm) asm-1.5.3.jar
  ln -sf $(build-classpath commons-collections) commons-collections-3.1.jar
  ln -sf $(build-classpath commons-logging-api) commons-logging-api.jar
  ln -sf $(build-classpath geronimo-ejb-3.1-api) ejb-2_1-api.jar
  ln -sf $(build-classpath servletapi5) servlet-2_4.jar
  ln -sf $(build-classpath jgroups) jgroups-all.jar
  ln -sf $(build-classpath junit) junit.jar
  ln -sf $(build-classpath mx4j/mx4j) mx4j.jar
  ln -sf $(build-classpath velocity) velocity-dep-1.4.jar
popd

%build

export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath commons-collections commons-logging-api)
CLASSPATH=$CLASSPATH:$(build-classpath geronimo-ejb-3.1-api servletapi5 junit)
CLASSPATH=$CLASSPATH:$(build-classpath jgroups mx4j/mx4j asm/asm velocity)

ant17 \
  -Dant.build.javac.source=1.5 \
  -Dant.build.javac.target=1.5 \
  jar jdoc doc 

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 output/dist/lib/ow_cmi.jar \
  %{buildroot}%{_javadir}/ow_carol_cmi-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_datadir}/carol-cmi-%{version}
install -m 644 config/configure.properties %{buildroot}%{_datadir}/carol-cmi-%{version}

mkdir -p %{buildroot}%{_javadocdir}/carol-cmi-%{version}
cp -pr output/dist/jdoc/* %{buildroot}%{_javadocdir}/carol-cmi-%{version}
ln -s carol-cmi-%{version} %{buildroot}%{_javadocdir}/carol-cmi

%files
%{_javadir}/ow_carol_cmi-%{version}.jar
%{_javadir}/ow_carol_cmi.jar
%{_datadir}/carol-cmi-%{version}

%files javadoc
%{_javadocdir}/carol-cmi-%{version}
%{_javadocdir}/carol-cmi

%files manual
%doc output/dist/doc/*



%changelog

* Mon Sep 05 2011 dmorgan <dmorgan> 1.2.7-1.mga2
+ Revision: 138748
- Adapt to mageia guidelines

  + gil <gil>
    - imported package carol-cmi


* Sun Jun 26 2011 gil <gil> 1.2.7-0.%%mkrel
- initial rpm